> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Deposit Address



## OpenAPI

````yaml /api-reference/openapi.json post /addresses/broker
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /addresses/broker:
    post:
      tags:
        - Addresses
      summary: Create Deposit Address
      parameters:
        - name: X-API-KEY
          in: header
          required: false
          deprecated: false
          schema: {}
          example: 967d25f80799402cbf5cf852bc48347e
        - name: X-API-TIMESTAMP
          in: header
          required: false
          deprecated: false
          schema: {}
          example: '1766581259775'
        - name: X-API-SIGNATURE
          in: header
          required: false
          deprecated: false
          schema: {}
          example: 93d83bc417cea11355c1b927f48e99e3388f3d58df202ea07f5246a5bdaf96df
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example:
              uniqueUserIdentifier: user-7c0406db-05a2-4832-ab13-776a4a145353
              currency: ETH
              network: ETH
      responses:
        '200':
          description: Create Broker Address
          headers:
            Date:
              schema:
                type: string
              example: Fri, 09 Sep 2022 09:47:20 GMT
            Content-Length:
              schema:
                type: integer
              example: '56'
            Connection:
              schema:
                type: string
              example: keep-alive
            content-security-policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri
                'self';block-all-mixed-content;font-src 'self' https:
                data:;frame-ancestors 'self';img-src 'self' data:;object-src
                'none';script-src 'self';script-src-attr 'none';style-src 'self'
                https: 'unsafe-inline';upgrade-insecure-requests
            x-dns-prefetch-control:
              schema:
                type: string
              example: 'off'
            expect-ct:
              schema:
                type: string
              example: max-age=0
            x-frame-options:
              schema:
                type: string
              example: SAMEORIGIN
            strict-transport-security:
              schema:
                type: string
              example: max-age=15724800; includeSubdomains
            x-download-options:
              schema:
                type: string
              example: noopen
            x-content-type-options:
              schema:
                type: string
              example: nosniff
            x-permitted-cross-domain-policies:
              schema:
                type: string
              example: none
            referrer-policy:
              schema:
                type: string
              example: no-referrer
            x-xss-protection:
              schema:
                type: integer
              example: '0'
            etag:
              schema:
                type: string
              example: W/"38-LoBb8plDE/L37ucy/xnrFmQiVPI"
            CF-Cache-Status:
              schema:
                type: string
              example: DYNAMIC
            Report-To:
              schema:
                type: string
              example: >-
                {"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=SOFwUhlCychOZhfXb6GnmGBPIDYjbXqWThyPe%2B2NWvmRSA0yXwaHIFXmwhpYM3uC5d3WCB9DL82r4VNcLHHlv3lG%2Fng3aLBIdxhRHC6YoaRqmSbntu%2FQn6Qu5haTSvs6ik73yA%3D%3D"}],"group":"cf-nel","max_age":604800}
            NEL:
              schema:
                type: string
              example: '{"success_fraction":0,"report_to":"cf-nel","max_age":604800}'
            Server:
              schema:
                type: string
              example: cloudflare
            CF-RAY:
              schema:
                type: string
              example: 747f007b8bdcb8be-AMS
            alt-svc:
              schema:
                type: string
              example: h3=":443"; ma=86400, h3-29=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      active:
                        type: boolean
                      value:
                        type: string
                        format: utc-millisec
                      reference:
                        type: string
                      network:
                        type: string
                      memo:
                        nullable: true
                      purpose:
                        type: string
                      userId:
                        type: string
                      currencyId:
                        nullable: true
                      isMaster:
                        type: boolean
              example:
                message: Ok
                data:
                  id: fa4b5561-006f-4b98-aa3e-7818067ff56a
                  createdAt: '2026-03-26T15:37:58.694Z'
                  updatedAt: '2026-03-26T15:37:58.694Z'
                  active: true
                  value: '0xA47Fed9EbDC84A9ac954B7e0a61B7A099175B63a'
                  reference: 1779fb8c-7e59-44c8-904f-2c3e84fd21bc
                  network: ETH
                  memo: null
                  purpose: user-7c0406db-05a2-4832-ab13-776a4a145353
                  userId: 51ec42a0-6c2f-4435-86ed-fa7bae079a57
                  isMaster: false
                  deletedAt: null
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````